/* Header file for libdan, Danny Chapman's Doppler processing code (in
   fortran) */

#ifdef __GNUC__
/* For compatibility with older versions of g77 you should include
 * f2c.h instead */
#include <g2c.h>
#else
#define real float
#endif

/* Assume fortran name mangling simply involves putting an underscore
   after a lower-case version of the function name... */
#define munfill munfill_
#define mzap mzap_

/* Unfold the data - call this first */
void munfill(real *v_out, int *region, real *v_in,
	     int *mm, int *nn, real *vfold, real *nan,
	     int *isppi, int *isreversed);

/* Get rid of noise based on the variance of the velocities */
void mzap(real *v_out, real *v_in, real *maxvar, 
	  real *lonely1, real *lonely2,
	  int *mm, int *nn, real *vfold, real *nan);
